POST
v1.0.0stableAdd source app
Add source app. Manage only sources owned by this token on the current tenant.
POST
/api/appstore/manage/sources/:source_id/apps인증:Bearer Token
제한:30/분
요청 매개변수
모든 매개변수는 쿼리 또는 본문을 통해 전달할 수 있습니다
| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
source_id | string | 필수 | Source ID owned by this user on the current site 예제: 12345678 |
name | string | 필수 | App name, up to 100 characters 예제: 演示应用 |
download_url | string | 필수 | HTTP(S) URL for downloading the app 예제: https://example.com/app.ipa |
version | string | 선택 사항 | App version 예제: 1.0 |
type | string | 선택 사항 | App type |
version_desc | string | 선택 사항 | Release notes |
icon_url | string | 선택 사항 | HTTP(S) URL of the app icon |
tint_color | string | 선택 사항 | Theme color |
size | string | 선택 사항 | File size |
is_lanzou | integer | 선택 사항 | LanZou Cloud link: 0/1 |
is_locked | integer | 선택 사항 | Requires a license key to unlock: 0/1 |
ios_version_limit | string | 선택 사항 | iOS version restriction |
weigh | integer | 선택 사항 | Sort weight |
응답
| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
code | integer | 필수 | 1 indicates success; otherwise a token, validation or source error code 예제: 1 |
msg | string | 필수 | Localized result message 예제: 获取成功 |
time | integer | 필수 | Unix timestamp in seconds |
data | object | 필수 | Allowlisted fields visible to the source owner |
응답 예제
{}
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{}
"id":1,
"source_id":"12345678",
"name":"演示应用",
"version":"1.0",
"download_url":"https://example.com/app.ipa",
"status":1,
"publish_status":"published"
오류 코드
오류 코드4 정의됨
10잘못된 토큰
Token is invalid or rotated; HTTP 401
11토큰 만료됨
Token has expired; HTTP 401
40001Source not found
Source is missing or not owned by this user/tenant; HTTP 404
응답 언어
X-Lang 헤더와 API 응답 언어를 사용자 지정합니다. 아래 코드 예제는 현재 사이트 언어를 자동으로 사용합니다.
공급 업체
X-Lang: ko지원되는 언어
zh, en, zh-TW, vi, ar, es, ru수락 언어는 또한 지원됩니다; X-Lang는 우선권을 가지고 갑니다. 지원되지 않은 언어는 사이트 언어 fallback를 따릅니다.
코드 예제
curl -X POST "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps" \
-H "X-Lang: ko" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "演示应用",
"download_url": "https://example.com/app.ipa",
"version": "1.0",
"type": "example_type",
"version_desc": "example_version_desc",
"icon_url": "example_icon_url",
"tint_color": "example_tint_color",
"size": "example_size",
"is_lanzou": 1,
"is_locked": 1,
"ios_version_limit": "example_ios_version_limit",
"weigh": 1
}'참고 사항
- Use HTTPS. Administrator-only fields such as uid, tenant_id, is_official and expiry time are rejected.
- Responses omit owner identities, draft internals and secrets; creating sources/apps is subject to subscription, trial and quota limits.
콘솔에서 시도하십시오
아래 매개변수를 입력하고 테스트 요청을 보내세요. 요청은 이 사이트의 API에만 전송되며, URL은 잠겨 있어 변경할 수 없고 현재 로그인 쿠키가 포함됩니다.
POST
https://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps이 사이트에 잠김string필수
Source ID owned by this user on the current site
string필수
App name, up to 100 characters
string필수
HTTP(S) URL for downloading the app
string
App version
string
App type
string
Release notes
string
HTTP(S) URL of the app icon
string
Theme color
string
File size
integer
LanZou Cloud link: 0/1
integer
Requires a license key to unlock: 0/1
string
iOS version restriction
integer
Sort weight